| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Digikam::LoadSaveTask Class Referenceabstract
Inheritance diagram for Digikam::LoadSaveTask:

## Public Types
enum | TaskType { TaskTypeLoading , TaskTypeSaving }

## Public Member Functions
| LoadSaveTask (LoadSaveThread *const thread)
virtual bool | continueQuery ()=0
virtual void | execute ()=0
virtual void | progressInfo (float progress)=0
virtual TaskType | type ()=0

## Protected Attributes
LoadSaveThread * | m_thread = nullptr